<?php include 'vendor/autoload.php'; ?><?php
    spl_autoload_register(function($class){
        // \ mit / ersetzen
        $slashes = str_replace("\\", "/", $class);

        // Klasse in lib/namespace/klassenname.php suchen und ggf. reinladen
        $dir = dirname(__FILE__);
        $filename = $dir . '/lib/' . $slashes . '.php';

        if(file_exists($filename)){
            require_once($filename);
        }
    });

    
    if(basename($_SERVER['SCRIPT_NAME']) != "dbcheck.php" && basename($_SERVER['SCRIPT_NAME']) != "setup.php") \FOP\I18n::initialize();
    
    if(basename($_SERVER['SCRIPT_NAME']) != "dbcheck.php" && basename($_SERVER['SCRIPT_NAME']) != "setup.php") \FOP\Cron::initialize();
    
    if(basename($_SERVER['SCRIPT_NAME']) != "dbcheck.php" && basename($_SERVER['SCRIPT_NAME']) != "setup.php") \FOP\User::initialize();
    
?><?php set_exception_handler("\\FOP\\Util::exception_handler"); ?><?php function qi($s){return \FOP\Database::quoteIdent($s);} ?><?php
		global $_global_q;
		if ($_GET['_q'][0] == '/') $_GET['_q'] = substr($_GET['_q'], 1);
		$q = $_global_q = $_GET['_q'];
		unset($_GET['_q']);
		$i = strpos($q, '?');
		if ($i) {
			foreach (explode('&', substr($q, $i + 1)) AS $arg) {
				if (preg_match('/(.*)=(.*)/', $arg, $matches)) {
					$_GET[urldecode($matches[1])] = urldecode($matches[2]);
				}
			}
			$q = substr($q, 0, $i);
		}
		//die('its works: q=' . $q . '; GET=' . json_encode($_GET));

		
		$params = [];
		if (preg_match('/^' . preg_replace_callback('/\\\\:([a-zA-Z0-9_]+)/', function ($matches) use (&$params) {$params[$matches[1]] = 1 + count($params); return '(.*)';}, preg_quote('R_C', '/')) . '$/', $q, $matches)) {
			foreach ($params AS $arg => $nr) $_GET[$arg] = $matches[$nr];
			try {
				$result = Tables\CampaignState::createAction();
			} catch(\FOP\AccessDeniedException $e){
				\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
				die();
			}
			if (isset($result)) {
				header('Content-Type: application/json'); 
				die(json_encode($result));
			} else {
				die('');
			}
		}
	
		$params = [];
		if (preg_match('/^' . preg_replace_callback('/\\\\:([a-zA-Z0-9_]+)/', function ($matches) use (&$params) {$params[$matches[1]] = 1 + count($params); return '(.*)';}, preg_quote('R/:id', '/')) . '$/', $q, $matches)) {
			foreach ($params AS $arg => $nr) $_GET[$arg] = $matches[$nr];
			try {
				$result = Tables\CampaignState::viewAction(isset($_GET['id']) ? $_GET['id'] : null);
			} catch(\FOP\AccessDeniedException $e){
				\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
				die();
			}
			if (isset($result)) {
				header('Content-Type: application/json'); 
				die(json_encode($result));
			} else {
				die('');
			}
		}
	
		$params = [];
		if (preg_match('/^' . preg_replace_callback('/\\\\:([a-zA-Z0-9_]+)/', function ($matches) use (&$params) {$params[$matches[1]] = 1 + count($params); return '(.*)';}, preg_quote('R :search_campaignState', '/')) . '$/', $q, $matches)) {
			foreach ($params AS $arg => $nr) $_GET[$arg] = $matches[$nr];
			try {
				$result = Tables\CampaignState::indexAction();
			} catch(\FOP\AccessDeniedException $e){
				\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
				die();
			}
			if (isset($result)) {
				header('Content-Type: application/json'); 
				die(json_encode($result));
			} else {
				die('');
			}
		}
	
		$params = [];
		if (preg_match('/^' . preg_replace_callback('/\\\\:([a-zA-Z0-9_]+)/', function ($matches) use (&$params) {$params[$matches[1]] = 1 + count($params); return '(.*)';}, preg_quote('R', '/')) . '$/', $q, $matches)) {
			foreach ($params AS $arg => $nr) $_GET[$arg] = $matches[$nr];
			try {
				$result = Tables\CampaignState::indexAction();
			} catch(\FOP\AccessDeniedException $e){
				\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
				die();
			}
			if (isset($result)) {
				header('Content-Type: application/json'); 
				die(json_encode($result));
			} else {
				die('');
			}
		}
	
		$params = [];
		if (preg_match('/^' . preg_replace_callback('/\\\\:([a-zA-Z0-9_]+)/', function ($matches) use (&$params) {$params[$matches[1]] = 1 + count($params); return '(.*)';}, preg_quote('M_C', '/')) . '$/', $q, $matches)) {
			foreach ($params AS $arg => $nr) $_GET[$arg] = $matches[$nr];
			try {
				$result = Tables\Mitglied::createAction();
			} catch(\FOP\AccessDeniedException $e){
				\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
				die();
			}
			if (isset($result)) {
				header('Content-Type: application/json'); 
				die(json_encode($result));
			} else {
				die('');
			}
		}
	
		$params = [];
		if (preg_match('/^' . preg_replace_callback('/\\\\:([a-zA-Z0-9_]+)/', function ($matches) use (&$params) {$params[$matches[1]] = 1 + count($params); return '(.*)';}, preg_quote('M/:id', '/')) . '$/', $q, $matches)) {
			foreach ($params AS $arg => $nr) $_GET[$arg] = $matches[$nr];
			try {
				$result = Tables\Mitglied::viewAction(isset($_GET['id']) ? $_GET['id'] : null);
			} catch(\FOP\AccessDeniedException $e){
				\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
				die();
			}
			if (isset($result)) {
				header('Content-Type: application/json'); 
				die(json_encode($result));
			} else {
				die('');
			}
		}
	
		$params = [];
		if (preg_match('/^' . preg_replace_callback('/\\\\:([a-zA-Z0-9_]+)/', function ($matches) use (&$params) {$params[$matches[1]] = 1 + count($params); return '(.*)';}, preg_quote('M :search_mitglied', '/')) . '$/', $q, $matches)) {
			foreach ($params AS $arg => $nr) $_GET[$arg] = $matches[$nr];
			try {
				$result = Tables\Mitglied::indexAction();
			} catch(\FOP\AccessDeniedException $e){
				\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
				die();
			}
			if (isset($result)) {
				header('Content-Type: application/json'); 
				die(json_encode($result));
			} else {
				die('');
			}
		}
	
		$params = [];
		if (preg_match('/^' . preg_replace_callback('/\\\\:([a-zA-Z0-9_]+)/', function ($matches) use (&$params) {$params[$matches[1]] = 1 + count($params); return '(.*)';}, preg_quote('M', '/')) . '$/', $q, $matches)) {
			foreach ($params AS $arg => $nr) $_GET[$arg] = $matches[$nr];
			try {
				$result = Tables\Mitglied::indexAction();
			} catch(\FOP\AccessDeniedException $e){
				\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
				die();
			}
			if (isset($result)) {
				header('Content-Type: application/json'); 
				die(json_encode($result));
			} else {
				die('');
			}
		}
	
		$params = [];
		if (preg_match('/^' . preg_replace_callback('/\\\\:([a-zA-Z0-9_]+)/', function ($matches) use (&$params) {$params[$matches[1]] = 1 + count($params); return '(.*)';}, preg_quote('G_C', '/')) . '$/', $q, $matches)) {
			foreach ($params AS $arg => $nr) $_GET[$arg] = $matches[$nr];
			try {
				$result = Tables\Gruppe::createAction();
			} catch(\FOP\AccessDeniedException $e){
				\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
				die();
			}
			if (isset($result)) {
				header('Content-Type: application/json'); 
				die(json_encode($result));
			} else {
				die('');
			}
		}
	
		$params = [];
		if (preg_match('/^' . preg_replace_callback('/\\\\:([a-zA-Z0-9_]+)/', function ($matches) use (&$params) {$params[$matches[1]] = 1 + count($params); return '(.*)';}, preg_quote('G/:id', '/')) . '$/', $q, $matches)) {
			foreach ($params AS $arg => $nr) $_GET[$arg] = $matches[$nr];
			try {
				$result = Tables\Gruppe::viewAction(isset($_GET['id']) ? $_GET['id'] : null);
			} catch(\FOP\AccessDeniedException $e){
				\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
				die();
			}
			if (isset($result)) {
				header('Content-Type: application/json'); 
				die(json_encode($result));
			} else {
				die('');
			}
		}
	
		$params = [];
		if (preg_match('/^' . preg_replace_callback('/\\\\:([a-zA-Z0-9_]+)/', function ($matches) use (&$params) {$params[$matches[1]] = 1 + count($params); return '(.*)';}, preg_quote('G :search_gruppe', '/')) . '$/', $q, $matches)) {
			foreach ($params AS $arg => $nr) $_GET[$arg] = $matches[$nr];
			try {
				$result = Tables\Gruppe::indexAction();
			} catch(\FOP\AccessDeniedException $e){
				\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
				die();
			}
			if (isset($result)) {
				header('Content-Type: application/json'); 
				die(json_encode($result));
			} else {
				die('');
			}
		}
	
		$params = [];
		if (preg_match('/^' . preg_replace_callback('/\\\\:([a-zA-Z0-9_]+)/', function ($matches) use (&$params) {$params[$matches[1]] = 1 + count($params); return '(.*)';}, preg_quote('G', '/')) . '$/', $q, $matches)) {
			foreach ($params AS $arg => $nr) $_GET[$arg] = $matches[$nr];
			try {
				$result = Tables\Gruppe::indexAction();
			} catch(\FOP\AccessDeniedException $e){
				\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
				die();
			}
			if (isset($result)) {
				header('Content-Type: application/json'); 
				die(json_encode($result));
			} else {
				die('');
			}
		}
	
		if (preg_match('/^fop-files\\/([0-9]+).*$/', $q, $matches)) {
			try {
				$result = FOP\Files::downloadAction($matches[1], isset($_GET['w']) ? $_GET['w'] : 0, isset($_GET['h']) ? $_GET['h'] : 0, isset($_GET['q']) ? $_GET['q'] : 70, isset($_GET['disregardPermissions']) ? $_GET['disregardPermissions'] : false);
			} catch(\FOP\AccessDeniedException $e){
				\Ajax\Errors::render($e->getMessage() ?: 'accessdenied');
				die();
			}
			if (isset($result)) {
				header('Content-Type: application/json'); 
				die(json_encode($result));
			} else {
				die('');
			}
		}
	
		if (preg_match('/^Types\/TarifNullBuchung(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\TypesRouter\TarifNullBuchung::route($q);
		}
		if (preg_match('/^Types\/TarifNull(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\TypesRouter\TarifNull::route($q);
		}
		if (preg_match('/^Types\/Sammlung(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\TypesRouter\Sammlung::route($q);
		}
		if (preg_match('/^Types\/ProtokollNullDMS(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\TypesRouter\ProtokollNullDMS::route($q);
		}
		if (preg_match('/^Types\/Protokoll(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\TypesRouter\Protokoll::route($q);
		}
		if (preg_match('/^Types\/MitgliedNullDMS(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\TypesRouter\MitgliedNullDMS::route($q);
		}
		if (preg_match('/^Types\/MitgliedNullAssigned(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\TypesRouter\MitgliedNullAssigned::route($q);
		}
		if (preg_match('/^Types\/MitgliedNull(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\TypesRouter\MitgliedNull::route($q);
		}
		if (preg_match('/^Types\/Mitglied(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\TypesRouter\Mitglied::route($q);
		}
		if (preg_match('/^Types\/GruppeNullDMS(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\TypesRouter\GruppeNullDMS::route($q);
		}
		if (preg_match('/^Types\/Gruppe(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\TypesRouter\Gruppe::route($q);
		}
		if (preg_match('/^Types\/Fop_mail_host_box_send(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\TypesRouter\Fop_mail_host_box_send::route($q);
		}
		if (preg_match('/^Types\/Fop_mail_host_box_draft(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\TypesRouter\Fop_mail_host_box_draft::route($q);
		}
		if (preg_match('/^Types\/Fop_mail_host_box_dir_email(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\TypesRouter\Fop_mail_host_box_dir_email::route($q);
		}
		if (preg_match('/^Types\/Fop_mail_host_box_dirParent(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\TypesRouter\Fop_mail_host_box_dirParent::route($q);
		}
		if (preg_match('/^Types\/Fop_mail_host_box_dirMailbox(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\TypesRouter\Fop_mail_host_box_dirMailbox::route($q);
		}
		if (preg_match('/^Types\/Fop_mail_host_box_dir(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\TypesRouter\Fop_mail_host_box_dir::route($q);
		}
		if (preg_match('/^Types\/Fop_mail_host_box(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\TypesRouter\Fop_mail_host_box::route($q);
		}
		if (preg_match('/^Types\/Fop_mail_host(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\TypesRouter\Fop_mail_host::route($q);
		}
		if (preg_match('/^Types\/Fop_fints_tanMode(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\TypesRouter\Fop_fints_tanMode::route($q);
		}
		if (preg_match('/^Types\/Fop_fints_konto(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\TypesRouter\Fop_fints_konto::route($q);
		}
		if (preg_match('/^Types\/DocType(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\TypesRouter\DocType::route($q);
		}
		if (preg_match('/^Types\/Doc(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\TypesRouter\Doc::route($q);
		}
		if (preg_match('/^Types\/CampaignStateNull(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\TypesRouter\CampaignStateNull::route($q);
		}
		if (preg_match('/^Types\/CampaignState(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\TypesRouter\CampaignState::route($q);
		}
		if (preg_match('/^Types\/CampaignNullFollow(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\TypesRouter\CampaignNullFollow::route($q);
		}
		if (preg_match('/^Types\/Campaign(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\TypesRouter\Campaign::route($q);
		}
		if (preg_match('/^Types\/Bank(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\TypesRouter\Bank::route($q);
		}
		if (preg_match('/^Types\/AufgabeType(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\TypesRouter\AufgabeType::route($q);
		}
		if (preg_match('/^Types\/AufgabeState(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\TypesRouter\AufgabeState::route($q);
		}
		if (preg_match('/^Types\/AufgabePropertyType(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\TypesRouter\AufgabePropertyType::route($q);
		}
		if (preg_match('/^Types\/AufgabePropertyDropdown2(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\TypesRouter\AufgabePropertyDropdown2::route($q);
		}
		if (preg_match('/^Types\/Aufgabe(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\TypesRouter\Aufgabe::route($q);
		}
		if (preg_match('/^Tables\/Userconfig(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\TablesRouter\Userconfig::route($q);
		}
		if (preg_match('/^Tables\/TarifDynamicMonthyear(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\TablesRouter\TarifDynamicMonthyear::route($q);
		}
		if (preg_match('/^Tables\/Tarif(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\TablesRouter\Tarif::route($q);
		}
		if (preg_match('/^Tables\/SammlungMitglied(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\TablesRouter\SammlungMitglied::route($q);
		}
		if (preg_match('/^Tables\/Sammlung(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\TablesRouter\Sammlung::route($q);
		}
		if (preg_match('/^Tables\/ProtokollVorlage(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\TablesRouter\ProtokollVorlage::route($q);
		}
		if (preg_match('/^Tables\/ProtokollPunkt(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\TablesRouter\ProtokollPunkt::route($q);
		}
		if (preg_match('/^Tables\/Protokoll(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\TablesRouter\Protokoll::route($q);
		}
		if (preg_match('/^Tables\/MitgliedPassnummer(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\TablesRouter\MitgliedPassnummer::route($q);
		}
		if (preg_match('/^Tables\/MitgliedDynamicMonthyear(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\TablesRouter\MitgliedDynamicMonthyear::route($q);
		}
		if (preg_match('/^Tables\/MitgliedBuchung(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\TablesRouter\MitgliedBuchung::route($q);
		}
		if (preg_match('/^Tables\/Mitglied(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\TablesRouter\Mitglied::route($q);
		}
		if (preg_match('/^Tables\/GruppeVerantwortlich(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\TablesRouter\GruppeVerantwortlich::route($q);
		}
		if (preg_match('/^Tables\/GruppeItem(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\TablesRouter\GruppeItem::route($q);
		}
		if (preg_match('/^Tables\/Gruppe(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\TablesRouter\Gruppe::route($q);
		}
		if (preg_match('/^Tables\/Fop_mail_host_box_share(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\TablesRouter\Fop_mail_host_box_share::route($q);
		}
		if (preg_match('/^Tables\/Fop_mail_host_box_draft_recipient(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\TablesRouter\Fop_mail_host_box_draft_recipient::route($q);
		}
		if (preg_match('/^Tables\/Fop_mail_host_box_draft_attachment(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\TablesRouter\Fop_mail_host_box_draft_attachment::route($q);
		}
		if (preg_match('/^Tables\/Fop_mail_host_box_draft(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\TablesRouter\Fop_mail_host_box_draft::route($q);
		}
		if (preg_match('/^Tables\/Fop_mail_host_box_dir_email_thread(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\TablesRouter\Fop_mail_host_box_dir_email_thread::route($q);
		}
		if (preg_match('/^Tables\/Fop_mail_host_box_dir_email_recipient(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\TablesRouter\Fop_mail_host_box_dir_email_recipient::route($q);
		}
		if (preg_match('/^Tables\/Fop_mail_host_box_dir_email_attachment(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\TablesRouter\Fop_mail_host_box_dir_email_attachment::route($q);
		}
		if (preg_match('/^Tables\/Fop_mail_host_box_dir_email(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\TablesRouter\Fop_mail_host_box_dir_email::route($q);
		}
		if (preg_match('/^Tables\/Fop_mail_host_box_dir(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\TablesRouter\Fop_mail_host_box_dir::route($q);
		}
		if (preg_match('/^Tables\/Fop_mail_host_box(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\TablesRouter\Fop_mail_host_box::route($q);
		}
		if (preg_match('/^Tables\/Fop_mail_host(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\TablesRouter\Fop_mail_host::route($q);
		}
		if (preg_match('/^Tables\/Fop_fints_tanMode(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\TablesRouter\Fop_fints_tanMode::route($q);
		}
		if (preg_match('/^Tables\/Fop_fints_konto(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\TablesRouter\Fop_fints_konto::route($q);
		}
		if (preg_match('/^Tables\/Fop_fints_file(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\TablesRouter\Fop_fints_file::route($q);
		}
		if (preg_match('/^Tables\/Fop_fints_buchung(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\TablesRouter\Fop_fints_buchung::route($q);
		}
		if (preg_match('/^Tables\/Fop_fints_bank(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\TablesRouter\Fop_fints_bank::route($q);
		}
		if (preg_match('/^Tables\/Fop_chat(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\TablesRouter\Fop_chat::route($q);
		}
		if (preg_match('/^Tables\/Doc_revision(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\TablesRouter\Doc_revision::route($q);
		}
		if (preg_match('/^Tables\/DocType(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\TablesRouter\DocType::route($q);
		}
		if (preg_match('/^Tables\/Doc(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\TablesRouter\Doc::route($q);
		}
		if (preg_match('/^Tables\/CampaignTarget(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\TablesRouter\CampaignTarget::route($q);
		}
		if (preg_match('/^Tables\/CampaignState(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\TablesRouter\CampaignState::route($q);
		}
		if (preg_match('/^Tables\/CampaignFollow(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\TablesRouter\CampaignFollow::route($q);
		}
		if (preg_match('/^Tables\/CampaignAttachment(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\TablesRouter\CampaignAttachment::route($q);
		}
		if (preg_match('/^Tables\/Campaign(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\TablesRouter\Campaign::route($q);
		}
		if (preg_match('/^Tables\/BriefVorlage(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\TablesRouter\BriefVorlage::route($q);
		}
		if (preg_match('/^Tables\/Brief(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\TablesRouter\Brief::route($q);
		}
		if (preg_match('/^Tables\/AufgabeType(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\TablesRouter\AufgabeType::route($q);
		}
		if (preg_match('/^Tables\/AufgabeState(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\TablesRouter\AufgabeState::route($q);
		}
		if (preg_match('/^Tables\/AufgabePropertyType(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\TablesRouter\AufgabePropertyType::route($q);
		}
		if (preg_match('/^Tables\/AufgabePropertyDropdown(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\TablesRouter\AufgabePropertyDropdown::route($q);
		}
		if (preg_match('/^Tables\/AufgabeProperty(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\TablesRouter\AufgabeProperty::route($q);
		}
		if (preg_match('/^Tables\/AufgabeEvent(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\TablesRouter\AufgabeEvent::route($q);
		}
		if (preg_match('/^Tables\/AufgabeAnhang(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\TablesRouter\AufgabeAnhang::route($q);
		}
		if (preg_match('/^Tables\/Aufgabe(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\TablesRouter\Aufgabe::route($q);
		}
		if (preg_match('/^Tables\/Ansprechpartner(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\TablesRouter\Ansprechpartner::route($q);
		}
		if (preg_match('/^FOP\/Push(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\FOPRouter\Push::route($q);
		}
		if (preg_match('/^FOP\/Login(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\FOPRouter\Login::route($q);
		}
		if (preg_match('/^FOP\/Index(?:\/(.*))?$/', $q, $q2) || ($q == '' && ($q2 = ['', '']))) {
			$q = $q2[1]; // Rest hinter dem URL
			\FOPRouter\Index::route($q);
		}
		if (preg_match('/^FOP\/Import(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\FOPRouter\Import::route($q);
		}
		if (preg_match('/^FOP\/Files(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\FOPRouter\Files::route($q);
		}
		if (preg_match('/^FOP\/Figures(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\FOPRouter\Figures::route($q);
		}
		if (preg_match('/^FOP\/Cron(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\FOPRouter\Cron::route($q);
		}
		if (preg_match('/^DataView\/Userconfig(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\DataViewRouter\Userconfig::route($q);
		}
		if (preg_match('/^DataView\/TarifDynamicMonthyear_dynamic_parent(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\DataViewRouter\TarifDynamicMonthyear_dynamic_parent::route($q);
		}
		if (preg_match('/^DataView\/TarifDynamicMonthyear(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\DataViewRouter\TarifDynamicMonthyear::route($q);
		}
		if (preg_match('/^DataView\/Tarif(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\DataViewRouter\Tarif::route($q);
		}
		if (preg_match('/^DataView\/SammlungMitglied_sammlung(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\DataViewRouter\SammlungMitglied_sammlung::route($q);
		}
		if (preg_match('/^DataView\/SammlungMitglied_mitglied(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\DataViewRouter\SammlungMitglied_mitglied::route($q);
		}
		if (preg_match('/^DataView\/SammlungMitglied(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\DataViewRouter\SammlungMitglied::route($q);
		}
		if (preg_match('/^DataView\/Sammlung(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\DataViewRouter\Sammlung::route($q);
		}
		if (preg_match('/^DataView\/ReminderMitgliedMitglied_gebtag(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\DataViewRouter\ReminderMitgliedMitglied_gebtag::route($q);
		}
		if (preg_match('/^DataView\/ReminderMitgliedForderungen(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\DataViewRouter\ReminderMitgliedForderungen::route($q);
		}
		if (preg_match('/^DataView\/ReminderFop_mail_host_box_dir_emailUnseen(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\DataViewRouter\ReminderFop_mail_host_box_dir_emailUnseen::route($q);
		}
		if (preg_match('/^DataView\/ReminderFop_fints_buchungForderungen(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\DataViewRouter\ReminderFop_fints_buchungForderungen::route($q);
		}
		if (preg_match('/^DataView\/ReminderAufgabeNot_assigned(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\DataViewRouter\ReminderAufgabeNot_assigned::route($q);
		}
		if (preg_match('/^DataView\/ReminderAufgabeAssigned(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\DataViewRouter\ReminderAufgabeAssigned::route($q);
		}
		if (preg_match('/^DataView\/ProtokollVorlage(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\DataViewRouter\ProtokollVorlage::route($q);
		}
		if (preg_match('/^DataView\/ProtokollPunkt_protokoll(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\DataViewRouter\ProtokollPunkt_protokoll::route($q);
		}
		if (preg_match('/^DataView\/ProtokollPunkt(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\DataViewRouter\ProtokollPunkt::route($q);
		}
		if (preg_match('/^DataView\/Protokoll(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\DataViewRouter\Protokoll::route($q);
		}
		if (preg_match('/^DataView\/Payout(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\DataViewRouter\Payout::route($q);
		}
		if (preg_match('/^DataView\/MitgliedPassnummer_mitglied(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\DataViewRouter\MitgliedPassnummer_mitglied::route($q);
		}
		if (preg_match('/^DataView\/MitgliedPassnummer(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\DataViewRouter\MitgliedPassnummer::route($q);
		}
		if (preg_match('/^DataView\/MitgliedDynamicMonthyear_dynamic_parent(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\DataViewRouter\MitgliedDynamicMonthyear_dynamic_parent::route($q);
		}
		if (preg_match('/^DataView\/MitgliedDynamicMonthyear(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\DataViewRouter\MitgliedDynamicMonthyear::route($q);
		}
		if (preg_match('/^DataView\/MitgliedBuchung_mitglied(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\DataViewRouter\MitgliedBuchung_mitglied::route($q);
		}
		if (preg_match('/^DataView\/MitgliedBuchung(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\DataViewRouter\MitgliedBuchung::route($q);
		}
		if (preg_match('/^DataView\/Mitglied(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\DataViewRouter\Mitglied::route($q);
		}
		if (preg_match('/^DataView\/GruppeVerantwortlich_gruppe(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\DataViewRouter\GruppeVerantwortlich_gruppe::route($q);
		}
		if (preg_match('/^DataView\/GruppeVerantwortlich(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\DataViewRouter\GruppeVerantwortlich::route($q);
		}
		if (preg_match('/^DataView\/GruppeItem_list(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\DataViewRouter\GruppeItem_list::route($q);
		}
		if (preg_match('/^DataView\/GruppeItem_item(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\DataViewRouter\GruppeItem_item::route($q);
		}
		if (preg_match('/^DataView\/GruppeItem(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\DataViewRouter\GruppeItem::route($q);
		}
		if (preg_match('/^DataView\/Gruppe(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\DataViewRouter\Gruppe::route($q);
		}
		if (preg_match('/^DataView\/Fop_mail_host_box_share_mailbox(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\DataViewRouter\Fop_mail_host_box_share_mailbox::route($q);
		}
		if (preg_match('/^DataView\/Fop_mail_host_box_share(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\DataViewRouter\Fop_mail_host_box_share::route($q);
		}
		if (preg_match('/^DataView\/Fop_mail_host_box_email_server(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\DataViewRouter\Fop_mail_host_box_email_server::route($q);
		}
		if (preg_match('/^DataView\/Fop_mail_host_box_draft_recipient_draft(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\DataViewRouter\Fop_mail_host_box_draft_recipient_draft::route($q);
		}
		if (preg_match('/^DataView\/Fop_mail_host_box_draft_recipient(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\DataViewRouter\Fop_mail_host_box_draft_recipient::route($q);
		}
		if (preg_match('/^DataView\/Fop_mail_host_box_draft_attachment_draft(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\DataViewRouter\Fop_mail_host_box_draft_attachment_draft::route($q);
		}
		if (preg_match('/^DataView\/Fop_mail_host_box_draft_attachment(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\DataViewRouter\Fop_mail_host_box_draft_attachment::route($q);
		}
		if (preg_match('/^DataView\/Fop_mail_host_box_draft(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\DataViewRouter\Fop_mail_host_box_draft::route($q);
		}
		if (preg_match('/^DataView\/Fop_mail_host_box_dir_mailbox(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\DataViewRouter\Fop_mail_host_box_dir_mailbox::route($q);
		}
		if (preg_match('/^DataView\/Fop_mail_host_box_dir_email_thread_email(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\DataViewRouter\Fop_mail_host_box_dir_email_thread_email::route($q);
		}
		if (preg_match('/^DataView\/Fop_mail_host_box_dir_email_thread(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\DataViewRouter\Fop_mail_host_box_dir_email_thread::route($q);
		}
		if (preg_match('/^DataView\/Fop_mail_host_box_dir_email_recipient_email(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\DataViewRouter\Fop_mail_host_box_dir_email_recipient_email::route($q);
		}
		if (preg_match('/^DataView\/Fop_mail_host_box_dir_email_recipient(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\DataViewRouter\Fop_mail_host_box_dir_email_recipient::route($q);
		}
		if (preg_match('/^DataView\/Fop_mail_host_box_dir_email_directory(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\DataViewRouter\Fop_mail_host_box_dir_email_directory::route($q);
		}
		if (preg_match('/^DataView\/Fop_mail_host_box_dir_email_attachment(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\DataViewRouter\Fop_mail_host_box_dir_email_attachment::route($q);
		}
		if (preg_match('/^DataView\/Fop_mail_host_box_dir_email(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\DataViewRouter\Fop_mail_host_box_dir_email::route($q);
		}
		if (preg_match('/^DataView\/Fop_mail_host_box_dir(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\DataViewRouter\Fop_mail_host_box_dir::route($q);
		}
		if (preg_match('/^DataView\/Fop_mail_host_box(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\DataViewRouter\Fop_mail_host_box::route($q);
		}
		if (preg_match('/^DataView\/Fop_mail_host(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\DataViewRouter\Fop_mail_host::route($q);
		}
		if (preg_match('/^DataView\/Fop_fints_tanMode(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\DataViewRouter\Fop_fints_tanMode::route($q);
		}
		if (preg_match('/^DataView\/Fop_fints_konto(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\DataViewRouter\Fop_fints_konto::route($q);
		}
		if (preg_match('/^DataView\/Fop_fints_file_konto(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\DataViewRouter\Fop_fints_file_konto::route($q);
		}
		if (preg_match('/^DataView\/Fop_fints_file(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\DataViewRouter\Fop_fints_file::route($q);
		}
		if (preg_match('/^DataView\/Fop_fints_buchung_konto(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\DataViewRouter\Fop_fints_buchung_konto::route($q);
		}
		if (preg_match('/^DataView\/Fop_fints_buchung(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\DataViewRouter\Fop_fints_buchung::route($q);
		}
		if (preg_match('/^DataView\/Fop_fints_bank(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\DataViewRouter\Fop_fints_bank::route($q);
		}
		if (preg_match('/^DataView\/Fop_chat__chatflow(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\DataViewRouter\Fop_chat__chatflow::route($q);
		}
		if (preg_match('/^DataView\/Fop_chat(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\DataViewRouter\Fop_chat::route($q);
		}
		if (preg_match('/^DataView\/Doc_to_protokoll(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\DataViewRouter\Doc_to_protokoll::route($q);
		}
		if (preg_match('/^DataView\/Doc_to_mitglied(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\DataViewRouter\Doc_to_mitglied::route($q);
		}
		if (preg_match('/^DataView\/Doc_to_gruppe(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\DataViewRouter\Doc_to_gruppe::route($q);
		}
		if (preg_match('/^DataView\/Doc_revision_doc(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\DataViewRouter\Doc_revision_doc::route($q);
		}
		if (preg_match('/^DataView\/Doc_revision(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\DataViewRouter\Doc_revision::route($q);
		}
		if (preg_match('/^DataView\/DocType(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\DataViewRouter\DocType::route($q);
		}
		if (preg_match('/^DataView\/Doc(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\DataViewRouter\Doc::route($q);
		}
		if (preg_match('/^DataView\/CampaignTarget_target(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\DataViewRouter\CampaignTarget_target::route($q);
		}
		if (preg_match('/^DataView\/CampaignTarget_campaign(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\DataViewRouter\CampaignTarget_campaign::route($q);
		}
		if (preg_match('/^DataView\/CampaignTarget(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\DataViewRouter\CampaignTarget::route($q);
		}
		if (preg_match('/^DataView\/CampaignState(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\DataViewRouter\CampaignState::route($q);
		}
		if (preg_match('/^DataView\/CampaignFollow(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\DataViewRouter\CampaignFollow::route($q);
		}
		if (preg_match('/^DataView\/CampaignAttachment_campaign(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\DataViewRouter\CampaignAttachment_campaign::route($q);
		}
		if (preg_match('/^DataView\/CampaignAttachment(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\DataViewRouter\CampaignAttachment::route($q);
		}
		if (preg_match('/^DataView\/Campaign(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\DataViewRouter\Campaign::route($q);
		}
		if (preg_match('/^DataView\/BriefVorlage(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\DataViewRouter\BriefVorlage::route($q);
		}
		if (preg_match('/^DataView\/Brief(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\DataViewRouter\Brief::route($q);
		}
		if (preg_match('/^DataView\/AufgabeType(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\DataViewRouter\AufgabeType::route($q);
		}
		if (preg_match('/^DataView\/AufgabeState(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\DataViewRouter\AufgabeState::route($q);
		}
		if (preg_match('/^DataView\/AufgabeProperty_parent(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\DataViewRouter\AufgabeProperty_parent::route($q);
		}
		if (preg_match('/^DataView\/AufgabePropertyType_restrict(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\DataViewRouter\AufgabePropertyType_restrict::route($q);
		}
		if (preg_match('/^DataView\/AufgabePropertyType(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\DataViewRouter\AufgabePropertyType::route($q);
		}
		if (preg_match('/^DataView\/AufgabePropertyDropdown_property(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\DataViewRouter\AufgabePropertyDropdown_property::route($q);
		}
		if (preg_match('/^DataView\/AufgabePropertyDropdown(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\DataViewRouter\AufgabePropertyDropdown::route($q);
		}
		if (preg_match('/^DataView\/AufgabeProperty(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\DataViewRouter\AufgabeProperty::route($q);
		}
		if (preg_match('/^DataView\/AufgabeEvent_ticket(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\DataViewRouter\AufgabeEvent_ticket::route($q);
		}
		if (preg_match('/^DataView\/AufgabeEvent(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\DataViewRouter\AufgabeEvent::route($q);
		}
		if (preg_match('/^DataView\/AufgabeAnhang_parent(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\DataViewRouter\AufgabeAnhang_parent::route($q);
		}
		if (preg_match('/^DataView\/AufgabeAnhang(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\DataViewRouter\AufgabeAnhang::route($q);
		}
		if (preg_match('/^DataView\/Aufgabe(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\DataViewRouter\Aufgabe::route($q);
		}
		if (preg_match('/^DataView\/Ansprechpartner_mitglied(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\DataViewRouter\Ansprechpartner_mitglied::route($q);
		}
		if (preg_match('/^DataView\/Ansprechpartner(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\DataViewRouter\Ansprechpartner::route($q);
		}
		if (preg_match('/^DataView\/AggMitgliedGeschlecht(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\DataViewRouter\AggMitgliedGeschlecht::route($q);
		}
		if (preg_match('/^Chat\/Gruppe(?:\/(.*))?$/', $q, $q2)) {
			$q = $q2[1]; // Rest hinter dem URL
			\ChatRouter\Gruppe::route($q);
		}

		header('HTTP/1.0 404 Not found');
		\EasyEditor\Errors::render('Die angeforderte Funktion wurde nicht gefunden.');
		die();
	